// Package docs GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import (
	"bytes"
	"encoding/json"
	"strings"
	"text/template"

	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {
            "name": "Contact the developer",
            "url": "http://www.swagger.io/support"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/iks-inti": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Input"
                ],
                "summary": "GET data from the system",
                "parameters": [
                    {
                        "type": "string",
                        "description": "survei_id to find related record",
                        "name": "survei_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.IksInti"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            },
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Input"
                ],
                "summary": "Input data to the system",
                "parameters": [
                    {
                        "description": "JSON RAW",
                        "name": "JSON",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/model.IksInti"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.IksInti"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            }
        },
        "/api/kecamatan": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Input"
                ],
                "summary": "GET data from the system",
                "parameters": [
                    {
                        "type": "string",
                        "description": "kecamatan_id to find related record",
                        "name": "kecamatan_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.Kecamatan"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            },
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Input"
                ],
                "summary": "Input data to the system",
                "parameters": [
                    {
                        "description": "JSON RAW",
                        "name": "JSON",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/model.Kecamatan"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.Kecamatan"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            }
        },
        "/api/kelurahan": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Input"
                ],
                "summary": "GET data from the system",
                "parameters": [
                    {
                        "type": "string",
                        "description": "kelurahan_id to find related record",
                        "name": "kelurahan_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.Kelurahan"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            },
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Input"
                ],
                "summary": "Input data to the system",
                "parameters": [
                    {
                        "description": "JSON RAW",
                        "name": "JSON",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/model.Kelurahan"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.Kelurahan"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            }
        },
        "/api/kota": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Input"
                ],
                "summary": "GET data from the system",
                "parameters": [
                    {
                        "type": "string",
                        "description": "kota_id to find related record",
                        "name": "kota_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.Kota"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            },
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Input"
                ],
                "summary": "Input data to the system",
                "parameters": [
                    {
                        "description": "JSON RAW",
                        "name": "JSON",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/model.Kota"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.Kota"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            }
        },
        "/api/provinsi": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Input"
                ],
                "summary": "GET data from the system",
                "parameters": [
                    {
                        "type": "string",
                        "description": "provinsi_id to find related record",
                        "name": "provinsi_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.Provinsi"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            },
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Input"
                ],
                "summary": "Input data to the system",
                "parameters": [
                    {
                        "description": "JSON RAW",
                        "name": "JSON",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/model.Provinsi"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.Provinsi"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            }
        },
        "/api/ref-puskesmas": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Input"
                ],
                "summary": "GET data from the system",
                "parameters": [
                    {
                        "type": "string",
                        "description": "kd_puskesmas to find related record",
                        "name": "kd_puskesmas",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.RefPuskesmas"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            },
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Input"
                ],
                "summary": "Input data to the system",
                "parameters": [
                    {
                        "description": "JSON RAW",
                        "name": "JSON",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/model.RefPuskesmas"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.RefPuskesmas"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            }
        },
        "/api/survei": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Input"
                ],
                "summary": "GET data from the system",
                "parameters": [
                    {
                        "type": "string",
                        "description": "survei_id to find related record",
                        "name": "survei_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "allOf": [
                                                    {
                                                        "$ref": "#/definitions/model.PostSurvei"
                                                    },
                                                    {
                                                        "type": "object",
                                                        "properties": {
                                                            "survei_rumah_tangga": {
                                                                "type": "array",
                                                                "items": {
                                                                    "allOf": [
                                                                        {
                                                                            "$ref": "#/definitions/model.PostSurveiRumahTangga"
                                                                        },
                                                                        {
                                                                            "type": "object",
                                                                            "properties": {
                                                                                "survei_individu_detail": {
                                                                                    "type": "array",
                                                                                    "items": {
                                                                                        "$ref": "#/definitions/model.PostSurveiIndividuDetail"
                                                                                    }
                                                                                }
                                                                            }
                                                                        }
                                                                    ]
                                                                }
                                                            }
                                                        }
                                                    }
                                                ]
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            },
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Input"
                ],
                "summary": "Input data to the system",
                "parameters": [
                    {
                        "description": "JSON RAW",
                        "name": "JSON",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.PostSurvei"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "survei_rumah_tangga": {
                                            "allOf": [
                                                {
                                                    "$ref": "#/definitions/model.PostSurveiRumahTangga"
                                                },
                                                {
                                                    "type": "object",
                                                    "properties": {
                                                        "survei_individu_detail": {
                                                            "type": "array",
                                                            "items": {
                                                                "$ref": "#/definitions/model.PostSurveiIndividuDetail"
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            ]
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "allOf": [
                                                    {
                                                        "$ref": "#/definitions/model.PostSurvei"
                                                    },
                                                    {
                                                        "type": "object",
                                                        "properties": {
                                                            "survei_rumah_tangga": {
                                                                "type": "array",
                                                                "items": {
                                                                    "allOf": [
                                                                        {
                                                                            "$ref": "#/definitions/model.PostSurveiRumahTangga"
                                                                        },
                                                                        {
                                                                            "type": "object",
                                                                            "properties": {
                                                                                "survei_individu_detail": {
                                                                                    "type": "array",
                                                                                    "items": {
                                                                                        "$ref": "#/definitions/model.PostSurveiIndividuDetail"
                                                                                    }
                                                                                }
                                                                            }
                                                                        }
                                                                    ]
                                                                }
                                                            }
                                                        }
                                                    }
                                                ]
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            }
        },
        "/delete-user": {
            "post": {
                "consumes": [
                    "*/*"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Authentication"
                ],
                "summary": "Delete user into the system",
                "parameters": [
                    {
                        "type": "string",
                        "description": "The user name for login",
                        "name": "username",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "The password for login in clear text",
                        "name": "password",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.Data"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            }
        },
        "/login": {
            "post": {
                "consumes": [
                    "*/*"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Authentication"
                ],
                "summary": "Logs user into the system",
                "parameters": [
                    {
                        "type": "string",
                        "description": "The user name for login",
                        "name": "username",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "The password for login in clear text",
                        "name": "password",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.Data"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            }
        },
        "/register": {
            "post": {
                "consumes": [
                    "*/*"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Authentication"
                ],
                "summary": "Regists user into the system",
                "parameters": [
                    {
                        "type": "string",
                        "description": "The user name for login",
                        "name": "username",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "The password for login in clear text",
                        "name": "password",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.Data"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            }
        },
        "/update-user": {
            "post": {
                "consumes": [
                    "*/*"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Authentication"
                ],
                "summary": "Update user into the system",
                "parameters": [
                    {
                        "type": "string",
                        "description": "The user name for login",
                        "name": "username",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "The password for login in clear text",
                        "name": "password",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/model.JSONResultSuccess"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/model.Data"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Invalid username/password supplied",
                        "schema": {
                            "$ref": "#/definitions/model.JSONResultError"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "model.Data": {
            "type": "object",
            "properties": {
                "provinsi": {
                    "type": "string"
                },
                "tgl akses": {
                    "type": "string"
                },
                "token": {
                    "type": "integer",
                    "example": 1234
                }
            }
        },
        "model.IksInti": {
            "type": "object",
            "properties": {
                "created_at": {
                    "type": "string"
                },
                "iks_inti": {
                    "type": "number"
                },
                "iks_inti_id": {
                    "type": "integer"
                },
                "indikator_1": {
                    "type": "string"
                },
                "indikator_10": {
                    "type": "string"
                },
                "indikator_11": {
                    "type": "string"
                },
                "indikator_12": {
                    "type": "string"
                },
                "indikator_2": {
                    "type": "string"
                },
                "indikator_3": {
                    "type": "string"
                },
                "indikator_4": {
                    "type": "string"
                },
                "indikator_5": {
                    "type": "string"
                },
                "indikator_6": {
                    "type": "string"
                },
                "indikator_7": {
                    "type": "string"
                },
                "indikator_8": {
                    "type": "string"
                },
                "indikator_9": {
                    "type": "string"
                },
                "kd_puskesmas": {
                    "type": "string"
                },
                "kode": {
                    "type": "string"
                },
                "no_urut_kel": {
                    "type": "string"
                },
                "no_urut_rt": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "status_data": {
                    "type": "integer"
                },
                "status_delete": {
                    "type": "integer"
                },
                "supervisor": {
                    "type": "integer"
                },
                "survei_id": {
                    "type": "integer"
                },
                "surveyor": {
                    "type": "integer"
                },
                "updated_at": {
                    "type": "string"
                }
            }
        },
        "model.JSONResultError": {
            "type": "object",
            "properties": {
                "error": {
                    "type": "string",
                    "example": "true"
                },
                "message": {
                    "type": "string"
                }
            }
        },
        "model.JSONResultSuccess": {
            "type": "object",
            "properties": {
                "data": {},
                "error": {
                    "type": "string",
                    "example": "false"
                },
                "message": {
                    "type": "string"
                }
            }
        },
        "model.Kecamatan": {
            "type": "object",
            "properties": {
                "kecamatan": {
                    "type": "string"
                },
                "kecamatan_id": {
                    "type": "integer"
                },
                "kota_id": {
                    "type": "integer"
                }
            }
        },
        "model.Kelurahan": {
            "type": "object",
            "properties": {
                "kecamatan_id": {
                    "type": "integer"
                },
                "kelurahan": {
                    "type": "string"
                },
                "kelurahan_id": {
                    "type": "integer"
                }
            }
        },
        "model.Kota": {
            "type": "object",
            "properties": {
                "kota": {
                    "type": "string"
                },
                "kota_id": {
                    "type": "integer"
                },
                "provinsi_id": {
                    "type": "integer"
                }
            }
        },
        "model.PostSurvei": {
            "type": "object",
            "properties": {
                "alamat": {
                    "type": "string"
                },
                "catatan_migrasi": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "iks_besar": {
                    "type": "number"
                },
                "iks_besar_old": {
                    "type": "number"
                },
                "iks_inti": {
                    "type": "number"
                },
                "iks_inti_old": {
                    "type": "number"
                },
                "kd_puskesmas": {
                    "type": "string"
                },
                "kecamatan_id": {
                    "type": "integer"
                },
                "kelurahan_id": {
                    "type": "integer"
                },
                "kode": {
                    "type": "string"
                },
                "kota_id": {
                    "type": "integer"
                },
                "nama_kk": {
                    "type": "string"
                },
                "nm_kecamatan": {
                    "type": "string"
                },
                "nm_kelurahan": {
                    "type": "string"
                },
                "nm_kota": {
                    "type": "string"
                },
                "nm_propinsi": {
                    "type": "string"
                },
                "no_kk": {
                    "type": "string"
                },
                "no_urut_kel": {
                    "type": "string"
                },
                "no_urut_rt": {
                    "type": "string"
                },
                "propinsi_id": {
                    "type": "integer"
                },
                "rt_new": {
                    "type": "string"
                },
                "rt_old": {
                    "type": "string"
                },
                "rw_new": {
                    "type": "string"
                },
                "rw_old": {
                    "type": "string"
                },
                "status_delete": {
                    "type": "integer"
                },
                "status_kepala_keluarga": {
                    "type": "integer"
                },
                "status_migrasi": {
                    "type": "integer"
                },
                "status_pindah": {
                    "type": "integer"
                },
                "step_number": {
                    "type": "integer"
                },
                "sumber": {
                    "type": "string"
                },
                "supervisor": {
                    "type": "integer"
                },
                "survei_id": {
                    "type": "integer"
                },
                "survei_rumah_tangga": {
                    "description": "DeletedAt            string ` + "`" + `gorm:\"column:deleted_at\" json:\"deleted_at\" form:\"deleted_at\" ` + "`" + `",
                    "$ref": "#/definitions/model.PostSurveiRumahTangga"
                },
                "surveyor": {
                    "type": "integer"
                },
                "tanggal": {
                    "type": "string"
                },
                "updated_at": {
                    "type": "string"
                }
            }
        },
        "model.PostSurveiIndividuDetail": {
            "type": "object",
            "properties": {
                "agama_id": {
                    "type": "integer"
                },
                "asi_ekslusif": {
                    "type": "string"
                },
                "babj": {
                    "type": "string"
                },
                "batuk": {
                    "type": "string"
                },
                "catatan_intervensi": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "diastolik": {
                    "type": "number"
                },
                "faskes": {
                    "type": "string"
                },
                "hipertensi": {
                    "type": "string"
                },
                "hub_kel_id": {
                    "type": "integer"
                },
                "imunisasi": {
                    "type": "string"
                },
                "indikator_1": {
                    "type": "string"
                },
                "indikator_10": {
                    "type": "string"
                },
                "indikator_11": {
                    "type": "string"
                },
                "indikator_12": {
                    "type": "string"
                },
                "indikator_2": {
                    "type": "string"
                },
                "indikator_3": {
                    "type": "string"
                },
                "indikator_4": {
                    "type": "string"
                },
                "indikator_5": {
                    "type": "string"
                },
                "indikator_6": {
                    "type": "string"
                },
                "indikator_7": {
                    "type": "string"
                },
                "indikator_8": {
                    "type": "string"
                },
                "indikator_9": {
                    "type": "string"
                },
                "jk_id": {
                    "type": "integer"
                },
                "jkn": {
                    "type": "string"
                },
                "kb": {
                    "type": "string"
                },
                "kb_detail": {
                    "type": "integer"
                },
                "kb_follow": {
                    "type": "integer"
                },
                "kd_puskesmas": {
                    "description": "DeletedAt              string ` + "`" + `gorm:\"column:deleted_at\" json:\"deleted_at\" form:\"deleted_at\"` + "`" + `",
                    "type": "string"
                },
                "keterangan": {
                    "type": "string"
                },
                "kode": {
                    "type": "string"
                },
                "merokok": {
                    "type": "string"
                },
                "nama": {
                    "type": "string"
                },
                "nik": {
                    "type": "string"
                },
                "no_urut_kel": {
                    "type": "string"
                },
                "no_urut_rt": {
                    "type": "string"
                },
                "obat_hipertensi": {
                    "type": "string"
                },
                "obat_tb": {
                    "type": "string"
                },
                "pantau_balita": {
                    "type": "string"
                },
                "pekerjaan_id": {
                    "type": "integer"
                },
                "pendidikan_id": {
                    "type": "integer"
                },
                "sab": {
                    "type": "string"
                },
                "sistolik": {
                    "type": "number"
                },
                "status_delete": {
                    "type": "integer"
                },
                "status_nik": {
                    "type": "integer"
                },
                "status_survei": {
                    "type": "integer"
                },
                "stmarital_id": {
                    "type": "integer"
                },
                "supervisor": {
                    "type": "integer"
                },
                "survei_id": {
                    "type": "integer"
                },
                "survei_individu_detail_id": {
                    "type": "integer"
                },
                "surveyor": {
                    "type": "integer"
                },
                "tanggal": {
                    "type": "string"
                },
                "tanggal_lahir": {
                    "type": "string"
                },
                "tb": {
                    "type": "string"
                },
                "tekanan_darah": {
                    "type": "string"
                },
                "umur_bln": {
                    "type": "integer"
                },
                "umur_thn": {
                    "type": "integer"
                },
                "updated_at": {
                    "type": "string"
                },
                "wuh": {
                    "type": "string"
                }
            }
        },
        "model.PostSurveiRumahTangga": {
            "type": "object",
            "properties": {
                "created_at": {
                    "type": "string"
                },
                "gjb": {
                    "type": "string"
                },
                "indikator_11": {
                    "type": "string"
                },
                "indikator_12": {
                    "type": "string"
                },
                "indikator_8": {
                    "type": "string"
                },
                "jk": {
                    "type": "string"
                },
                "jml_art": {
                    "type": "integer"
                },
                "jml_art_0_11_bln": {
                    "type": "integer"
                },
                "jml_art_10_54_thn": {
                    "type": "integer"
                },
                "jml_art_12_59_bln": {
                    "type": "integer"
                },
                "jml_art_dewasa": {
                    "type": "integer"
                },
                "jml_art_wawancara": {
                    "type": "integer"
                },
                "js": {
                    "type": "string"
                },
                "kd_puskesmas": {
                    "description": "DeletedAt       string ` + "`" + `gorm:\"column:deleted_at\" json:\"deleted_at\" form:\"deleted_at\"` + "`" + `",
                    "type": "string"
                },
                "keterangan": {
                    "type": "string"
                },
                "kode": {
                    "type": "string"
                },
                "obat_gjb": {
                    "type": "string"
                },
                "pasung": {
                    "type": "string"
                },
                "sab": {
                    "type": "string"
                },
                "sat": {
                    "type": "string"
                },
                "status_delete": {
                    "type": "integer"
                },
                "supervisor": {
                    "type": "integer"
                },
                "survei_id": {
                    "type": "integer"
                },
                "survei_individu_detail": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/model.PostSurveiIndividuDetail"
                    }
                },
                "survei_rt_id": {
                    "type": "integer"
                },
                "surveyor": {
                    "type": "integer"
                },
                "updated_at": {
                    "type": "string"
                }
            }
        },
        "model.Provinsi": {
            "type": "object",
            "properties": {
                "ctime": {
                    "type": "string"
                },
                "map_id": {
                    "type": "string"
                },
                "mtime": {
                    "type": "string"
                },
                "provinsi": {
                    "type": "string"
                },
                "provinsi_id": {
                    "type": "integer"
                }
            }
        },
        "model.RefPuskesmas": {
            "type": "object",
            "properties": {
                "alamat": {
                    "type": "string"
                },
                "jenis_puskesmas_id": {
                    "type": "integer"
                },
                "kd_pus_bps": {
                    "type": "string"
                },
                "kd_puskesmas": {
                    "type": "string"
                },
                "kec_id_opt": {
                    "type": "string"
                },
                "kecamatan_id": {
                    "type": "integer"
                },
                "puskesmas": {
                    "type": "string"
                },
                "wilayah_kerja": {
                    "type": "string"
                },
                "wilayah_kerja_opt": {
                    "type": "string"
                }
            }
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "1.0.0",
	Host:        "",
	BasePath:    "",
	Schemes:     []string{"http"},
	Title:       "API Indeks Keluarga Sehat",
	Description: "",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
		"escape": func(v interface{}) string {
			// escape tabs
			str := strings.Replace(v.(string), "\t", "\\t", -1)
			// replace " with \", and if that results in \\", replace that with \\\"
			str = strings.Replace(str, "\"", "\\\"", -1)
			return strings.Replace(str, "\\\\\"", "\\\\\\\"", -1)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
